## view.xhtml
Class EmptyElement

    java.lang.Object
      view.xhtml.HtmlObject
          view.xhtml.HtmlElement
              view.xhtml.EmptyElement

Direct Known Subclasses:
  Br, Input, Link, Meta

    public abstract class EmptyElement

extends HtmlElement

Constructor Summary
`EmptyElement(java.lang.String tag_name)` Constructs the element.

Method Summary
`java.lang.String` `getHtml()` Returns the HTML source code of the element.
`java.lang.String` `getHtml(int indent_level, int indent_width)` As above but with indendation.

Methods inherited from class view.xhtml.HtmlElement
`getCloseTag, getCloseTag, getStartTag, getStartTag, setAttribute, setClass, setId, setName`

Methods inherited from class view.xhtml.HtmlObject
`getHtml, getIndent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EmptyElement

    public EmptyElement(java.lang.String tag_name)

  Constructs the element.

  Parameters:
    `tag_name` - the name of the elements's tag.

Method Detail

### getHtml

    public final java.lang.String getHtml()

  Returns the HTML source code of the element.

  Specified by:
    `getHtml` in class `HtmlObject`

### getHtml

    public final java.lang.String getHtml(int indent_level,
                                          int indent_width)

  As above but with indendation.

  Specified by:
    `getHtml` in class `HtmlObject`
  Parameters:
    `indent_level` - the indendation level used for the element.
    `indent_width` - the indendation width for inner elements. (not used for empty elements, required for polymorphism).